/*-----------------------------------------------------------------------

File  : che_heu_lifo.c

Author: Stephan Schulz

Contents
 
  Functions describing the LIFO heuristic (may be used to hack
  rewriting...)

Changes

<1> Mon Jun 22 15:28:23 MET DST 1998
    New

-----------------------------------------------------------------------*/

#include "che_heu_lifo.h"


/*---------------------------------------------------------------------*/
/*                        Global Variables                             */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                      Forward Declarations                           */
/*---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*/
/*                         Internal Functions                          */
/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*                         Exported Functions                          */
/*---------------------------------------------------------------------*/


/*-----------------------------------------------------------------------
//
// Function: HCBLIFOtCreate()
//
//   Create a HCB entry for the LIFO heuristic.
//
// Global Variables: -
//
// Side Effects    : Memory operations
//
/----------------------------------------------------------------------*/

HCB_p HCBLIFOCreate(HCBARGUMENTS)
{
   HCB_p         hcb     = HCBAlloc();

   HCBAddWFCB(hcb, WFCBAdminFindWFCB(control->wfcbs, "fifo_f") , 1);
	      
   return hcb;
}



/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/


